Opened 12 years ago

Closed 12 years ago

Last modified 12 years ago

#4109 closed defect (fixed)

INDY3: Unknown game version (Atari ST)

Reported by: SF/matt10 Owned by: Kirben
Priority: normal Component: Engine: SCUMM
Keywords: detection Cc:
Game: Indiana Jones 3

Description

Game doesn't start in stable version 0.12.0.

Game is German Indiana Jones and the Last Crusade for ATARI ST.

Error message:

Your game version seems to be unknown...

Assertion failed: track_ctr < 3, file engines/scumm/sound.cpp, line 1858

MD5 aaa7f36a253f277dd29dd1c051b0c4b9

Ticket imported from: #2533243. Ticket imported from: bugs/4109.

Change History (7)

comment:1 by SF/matt10, 12 years ago

Summary: Unknown game versionUnknown game version (Indy 3)

comment:2 by fingolfin, 12 years ago

Summary: Unknown game version (Indy 3)INDY3: Unknown game version (Atari ST)

comment:3 by fingolfin, 12 years ago

Hm, that error might indicate that the Atari ST version of Indy3 used a somewhat different audio data format. We can add the MD5 checksum, but without having the Atari ST version in possession for analysis, I am afraid it'll be difficult to fix this problem...

What OS are you on, BTW?

comment:4 by SF/matt10, 12 years ago

I was running a Windows (XP) build (as that was indicated in the Wiki as being possible).

comment:5 by Kirben, 12 years ago

Owner: set to Kirben
Resolution: fixed
Status: newclosed

comment:6 by Kirben, 12 years ago

I added the game details to ScummVM SVN, use the next daily snapshot of ScummVM SVN.

There are no Adlib resources in the Atari ST versions, that is why that assert occurred, and why they are specifically marked as 'No Adlib'.

comment:7 by Kirben, 12 years ago

I corrected the md5 checksum to 'aaa7f36a253f277dd29dd1c051b0e4b9', as mentioned in private message.

Use the current Windows snapshot of ScummVM SVN.

Note: See TracTickets for help on using tickets.